function onBegin()
    disableMovement()
    disablePause()
    disableRetry()
    say("SurveyStart")
	if choice("SurveyAccept","SurveyDeny") == 1 then
		say("Survey1")
			if choice("SurveyAccept","SurveyDeny") == 1 then
				say("Survey2")
				
choice("SurveyDeath0","SurveyDeath110","SurveyDeath1120","SurveyDeath3050","SurveyDeath50")		
				say("Survey3")
				choice("SurveyAccept","SurveyDeny")
				say("Survey4")
				choice("SurveyAccept","SurveyDeny")
				say("Survey5")
				choice("VeryLikely","Likely","SomewhatLikely","SomewhatUnlikely","Unlikely","NotLikely")
				say("Survey6")
				choice("Beginner","Intermediate","Advanced","Expert","Grandmaster","GMP")
				say("Survey7")
				choice("SurveyAccept","SurveyDeny")
				say("Survey8")
				if choice("SurveyAccept","SurveyDeny") == 1 then
					say("Survey9")
			choice("VeryAngry","SomewhatAngry","MildlyAngry","NotAngry")
				end
				say("Survey10")
				if choice("SurveyAccept","SurveyDeny") == 1 then
					say("Survey11")
			choice("NotReligious","SomewhatReligious","VeryReligious","Unsure")
					say("Survey12")
			choice("Male","Female","NB","Other","PNTS")
					say("Survey13")
					choice("SurveyAccept","SurveyDeny")
					say("Survey14")
					choice("SurveyAccept","SurveyDeny")
					say("Survey15")
					choice("SurveyAccept","SurveyDeny")
					say("Survey16")
					choice("SurveyAccept","SurveyDeny")
					say("Survey17")
					if choice("SurveyAccept","SurveyDeny") == 1 then
						say("Survey18")
						choice("SurveyAccept","SurveyDeny")
						say("Survey19")
						choice("SurveyAccept","SurveyDeny")
						say("Survey20")
						choice("SurveyAccept","SurveyDeny")
						say("Survey21")
						choice("SurveyAccept","SurveyDeny")
						say("Survey22")
							choice("VeryLikely","Likely","SomewhatLikely","SomewhatUnlikely","Unlikely","NotLikely")								
						playMusic("none",0)
						setFlag("CeaseAllSounds", true)
						say("Survey23")
						choice("SurveyAccept","SurveyDeny")
						say("Survey24")
						if choice("SurveyAccept","SurveyDeny") == 1 then
							say("Survey25")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")
							say("Survey26")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

							say("Survey27")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

							say("Survey28")
							choice("SurveyAccept","SurveyDeny")
							say("Survey29")
							
								say("Survey30")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")
								say("Survey31")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								say("Survey32")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								say("Survey34")
							choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								say("Survey35")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								say("Survey36")
							choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								say("Survey37")
								choice("StronglyAgree","Agree","Disagree","StronglyDisagree")

								playMusic("event:/surveyprogram_esoterica_music",0)
								say("Survey38")
							instantTeleportTo (157, 473, heaven)
								say("Survey39")													
						choice("SurveyAccept","SurveyDeny")
								say("Survey40")
						choice("SurveyAccept","SurveyDeny")
								say("Survey41")
						choice("SurveyNobut")
								say("Survey42")
						choice("SurveyAccept")
								say("Survey47")
						choice("SurveyAccept")

								say("Survey43")
						choice("SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry","SoAngry")
								
								say("Survey44")
								playMusic("none",0)
								say("Survey46")
								choice("SurveyAccept","SurveyDeny","Unsure")
								
								say("Survey45")
								completeArea()

									





					

						else
							say("SurveyCancel")
						end
	
					else
						say("SurveyCancel")

					end

				else
					say("SurveyCancel")
				end

			else
				say("SurveyCancel")
			end

	else
		say("SurveyCancel")

	end
end
function onEnd()
    enableMovement()
    enablePause()
    enableRetry()
end